# Uses of Class
net.postgis.jdbc.geometry.binary.ByteGetter

Packages that use ByteGetter
Package
Description
net.postgis.jdbc.geometry.binary

## Uses of ByteGetter in net.postgis.jdbc.geometry.binary

Subclasses of ByteGetter in net.postgis.jdbc.geometry.binary
Modifier and Type
Class
Description
`static class`
`ByteGetter.BinaryByteGetter`
`static class`
`ByteGetter.StringByteGetter`
Methods in net.postgis.jdbc.geometry.binary with parameters of type ByteGetter
Modifier and Type
Method
Description
`static ValueGetter`
BinaryParser.`valueGetterForEndian(ByteGetter bytes)`
Get the appropriate ValueGetter for my endianness
Constructors in net.postgis.jdbc.geometry.binary with parameters of type ByteGetter
Modifier
Constructor
Description
``
`NDR(ByteGetter data)`
``
`ValueGetter(ByteGetter data, byte endian)`
``
`XDR(ByteGetter data)`